package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.*;

@TableName(value = "wx_template_msg")
@Data
@EqualsAndHashCode(callSuper = true)
public class WxTemplateMsg extends BaseEntity {
	private static final long serialVersionUID = 1L;

    protected Long id;

	@io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
	private String tenantId;
	@io.swagger.annotations.ApiModelProperty(value="模板ID",name="templateId")
	private String templateId;
	@io.swagger.annotations.ApiModelProperty(value="模板类型1：核销成功消息,2：核销失败消息, 101:公众号审核结果消息, 102:公众号卡券核销消息",name="type")
	private Integer type;
    @io.swagger.annotations.ApiModelProperty(value="自定义参数",name="customParam")
    private String customParam;
	@io.swagger.annotations.ApiModelProperty(value="创建时间",name="createDate")
	private Date createDate;
	@io.swagger.annotations.ApiModelProperty(value="更新时间",name="updateDate")
	private Date updateDate;


}
